Page MenuHomePhabricator

Allow links to phabricator comments from gerrit messages.
Closed, ResolvedPublic

Description

In comments on gerrit, ticket IDs like T12345 are automatically linked to phabricator tickets.
It would be useful to link comment IDs like T12345#65432 to the respective comment.

Related Objects

Event Timeline

daniel created this task.Dec 2 2014, 12:44 PM
daniel raised the priority of this task from to Needs Triage.
daniel updated the task description. (Show Details)
daniel added projects: Gerrit, Phabricator.
daniel changed Security from none to None.
daniel added a subscriber: daniel.
Aklapper triaged this task as Lowest priority.Dec 2 2014, 1:09 PM
Aklapper added a subscriber: QChris.
Restricted Application added a subscriber: scfc. · View Herald TranscriptJul 21 2015, 10:25 PM

I tried working around this, and failed. See my attempt to link to T119209#1912745 from https://gerrit.wikimedia.org/r/#/c/254440/

Assuming we stay with Gerrit, we need to fix T75997 to fix this one, I think. Note: I'm not recommending we stay on Gerrit. ;-)

Restricted Application added a subscriber: Luke081515. · View Herald TranscriptJan 2 2016, 6:00 PM

Change 256663 had a related patch set uploaded (by Tim Landscheidt):
Avoid breaking full phabricator URLs

https://gerrit.wikimedia.org/r/256663

scfc added a comment.Jan 2 2016, 7:05 PM

(No, I just linked Thiemo's patch to this task as it would resolve it.)

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJun 10 2016, 9:52 PM

Change 301580 had a related patch set uploaded (by Paladox):
Support linking to a phabricator comment

https://gerrit.wikimedia.org/r/301580

Change 301580 merged by Dzahn:
gerrit: support linking to a phabricator comment

https://gerrit.wikimedia.org/r/301580

Paladox closed this task as Resolved.Jul 28 2016, 6:53 PM
Paladox claimed this task.
Paladox added a subscriber: Paladox.

This should now work.

Please reopen if it is still a problem.

Danny_B removed a subscriber: Danny_B.Jul 28 2016, 8:31 PM

Change 301673 had a related patch set uploaded (by Paladox):
gerrit: support linking to a phabricator comment

https://gerrit.wikimedia.org/r/301673

Paladox reopened this task as Open.Jul 28 2016, 9:43 PM

Change 301673 abandoned by Paladox:
gerrit: support linking to a phabricator comment

https://gerrit.wikimedia.org/r/301673

Change 302229 had a related patch set uploaded (by Paladox):
Gerrit: Support having phab commits as links

https://gerrit.wikimedia.org/r/302229

For starters, \o/ From my skim, it looks like progress.

What should I keep an eye on, though? The test commit has a bit that looks like this:

T12345#1" target="_blank">https://phabricator.wikimedia.org/T12345#1

Why is that there?

@RobLa-WMF hi that is a test for something else, but also related. I fixed the links breaking for plain tasks but if you do a task with #1 it breaks the link again. But want he is referring to is T1#1 for example, that should be working for you.

Change 302229 merged by Dzahn:
Gerrit: Support linking to phabricator comments

https://gerrit.wikimedia.org/r/302229

Dzahn added a comment.Aug 16 2016, 4:01 AM

I merged Paladox' change and just linked from there to T76459#2548402 over here by just pasting "T76459#2548402". wfm, thanks Paladox

Your welcome :)

Paladox removed a subscriber: gerritbot.

Now it works also for full URLs :)

Change 256663 merged by Dzahn:
Gerit: Rewrite outdated comment about Gerrit-Phabricator linking

https://gerrit.wikimedia.org/r/256663